
ItemEvents.modification(event => {
	function maxDura(modifiedItem, modifiedAmount) {
		event.modify(modifiedItem, item => {item.maxDamage = modifiedAmount})
	}


	event.modify([
	'oreganized:electrum_pickaxe',
	'oreganized:electrum_axe',
	'oreganized:electrum_shovel',
	'oreganized:electrum_hoe',
	'oreganized:electrum_sword',
	'oreganized:electrum_knife',
	
	], item => {item.maxDamage = 2034})

        event.modify([
        'caverns_and_chasms:silver_axe',
        'caverns_and_chasms:silver_hoe',
        'caverns_and_chasms:silver_sword',
        'caverns_and_chasms:silver_pickaxe',
        'caverns_and_chasms:silver_shovel'

], item => {item.maxDamage = 232})
	

 event.modify([
        'minecraft:golden_pickaxe',
        'minecraft:golden_axe',
        'minecraft:golden_sword',
        'minecraft:golden_hoe',
        'minecraft:golden_shovel',
    ], item => { item.maxDamage = 196 })

 event.modify([
        'minecraft:iron_sword',
        'minecraft:iron_shovel',
        'minecraft:iron_pickaxe',
        'minecraft:iron_axe',
        'minecraft:iron_hoe'
    ], item => { item.maxDamage = 375 })

 event.modify([
        'minecraft:wooden_sword',
        'minecraft:wooden_shovel',
        'minecraft:wooden_pickaxe',
        'minecraft:wooden_axe',
        'minecraft:wooden_hoe'
    ], item => { item.maxDamage = 88 })

 event.modify([
               'minecraft:leather_helmet',
 'minecraft:leather_chestplate',
  'minecraft:leather_leggings',
 'minecraft:leather_boots'
], item => { item.maxDamage = 105 })

  event.modify([
        'minecraft:golden_helmet',
        'minecraft:golden_chestplate',
        'minecraft:golden_leggings',
        'minecraft:golden_boots'
    ], item => { item.maxDamage = 144 })

event.modify([
        'minecraft:chainmail_helmet',
        'minecraft:chainmail_chestplate',
        'minecraft:chainmail_leggings',
        'minecraft:chainmail_boots'
    ], item => { item.maxDamage = 247 })

 event.modify([
        'minecraft:iron_helmet',
        'minecraft:iron_chestplate',
        'minecraft:iron_leggings',
        'minecraft:iron_boots'
    ], item => { item.maxDamage = 375 })

event.modify([
       'savage_and_ravage:griefer_helmet', 
'savage_and_ravage:griefer_chestplate',
'savage_and_ravage:griefer_leggings',
'savage_and_ravage:griefer_boots'
    ], item => { item.maxDamage = 425 })

  event.modify([
        'exlinecopperequipment:copper_helmet',
        'exlinecopperequipment:copper_chestplate',
        'exlinecopperequipment:copper_leggings',
        'exlinecopperequipment:copper_boots'
    ], item => { item.maxDamage = 208 })

	event.modify([
	'alloyed:steel_pickaxe',
	'alloyed:steel_axe',
	'alloyed:steel_shovel',
	'alloyed:steel_hoe',
	'alloyed:steel_sword',
	'alloyed:steel_knife',
	'trials:mace'
	], item => {item.maxDamage = 1400})

     event.modify([
	'minecraft:netherite_pickaxe',
	'minecraft:netherite_axe',
	'minecraft:netherite_shovel',
	'minecraft:netherite_hoe',
	'minecraft:netherite_sword',
	'farmersdelight:netherite_knife',

	], item => {item.maxDamage = 2500})
	

	event.modify([
	'caverns_and_chasms:necromium_pickaxe',
	'caverns_and_chasms:necromium_axe',
	'caverns_and_chasms:necromium_shovel',
	'caverns_and_chasms:necromium_hoe',
	'caverns_and_chasms:necromium_sword',
	
	], item => {item.maxDamage = 2200})
	
event.modify([
	'additionaladditions:rose_gold_pickaxe',
	'additionaladditions:rose_gold_axe',
	'additionaladditions:rose_gold_shovel',
	'additionaladditions:rose_gold_hoe',
	'additionaladditions:rose_gold_sword'
	], item => {item.maxDamage = 760})

        event.modify([
	'sullysmod:jade_shield',
        'species:ricoshield'
	], item => {item.maxDamage = 630})

         event.modify([
	'additionaladditions:rose_gold_helmet',
	'additionaladditions:rose_gold_chestplate',
	'additionaladditions:rose_gold_leggings',
	'additionaladditions:rose_gold_boots'
	], item => {item.maxDamage = 430})

         event.modify([
 	'caverns_and_chasms:sanguine_helmet',
	'caverns_and_chasms:sanguine_chestplate',
	'caverns_and_chasms:sanguine_leggings',
	'caverns_and_chasms:sanguine_boots',
        'vc_gliders:paraglider_wood'
	], item => {item.maxDamage = 480})

         event.modify([
 	'caverns_and_chasms:silver_helmet',
	'caverns_and_chasms:silver_chestplate',
	'caverns_and_chasms:silver_leggings',
	'caverns_and_chasms:silver_boots'
	], item => {item.maxDamage = 280})

        event.modify([
	'alloyed:steel_helmet',
	'alloyed:steel_chestplate',
	'alloyed:steel_leggings',
	'alloyed:steel_boots'
	], item => {item.maxDamage = 560})

        event.modify([
	'oreganized:electrum_helmet',
	'oreganized:electrum_chestplate',
	'oreganized:electrum_leggings',
	'oreganized:electrum_boots'
	], item => {item.maxDamage = 620})


        event.modify([
	'caverns_and_chasms:necromium_helmet',
	'caverns_and_chasms:necromium_chestplate',
	'caverns_and_chasms:necromium_leggings',
	'caverns_and_chasms:necromium_boots'
	], item => {item.maxDamage = 640})
        
        event.modify([
	'minecraft:netherite_helmet',
	'minecraft:netherite_chestplate',
	'minecraft:netherite_leggings',
	'minecraft:netherite_boots'
	], item => {item.maxDamage = 700})
 
       
})